import * as interfaces from '../interfaces/index.js';
import { WorkerEvent } from '../classes.workerevent.js';

export const preflightResponder: interfaces.TRequestResponser = async (eventArg: WorkerEvent) => {
  if (eventArg.isPreflight) {
    const corsHeaders = new Headers();
    corsHeaders.append('SERVEZONE_ROUTE', 'LOSSLESS_EDGE_PREFLIGHT');
    corsHeaders.append('Access-Control-Allow-Origin', '*');
    corsHeaders.append('Access-Control-Allow-Methods', '*');
    corsHeaders.append('Access-Control-Allow-Headers', '*');

    eventArg.setResponse(
      new Response(null, {
        headers: corsHeaders,
      })
    );
  }
};
